%define pkgname uuid
Summary:	Ruby interface to Git
Name:		ruby-%{pkgname}
Version:	2.3.7
Release:	2
License:	MIT
Group:		Development/Tools
Source0:	http://gems.rubyforge.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	749430cac002a05e99d7ae0fb835f78a
Patch0:	nogems.patch
URL:		http://github.com/assaf/uuid
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
Requires:	ruby-macaddr >= 1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Generates universally unique identifiers (UUIDs) for use in
distributed applications.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1

%{__sed} -i -e 's,@VERSION@,%{version},' lib/uuid.rb

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{_bindir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_vendorlibdir}/uuid.rb
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-uuid.git;a=log;h=master

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> d9a18ee
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Tue Apr 23 2013 Elan Ruusamäe <glen@delfi.ee> 6bb1aec
- nogems patch

* Tue Apr 23 2013 Elan Ruusamäe <glen@delfi.ee> 310c810
- up to 2.3.7

* Tue Apr 23 2013 Elan Ruusamäe <glen@delfi.ee> 1c05644
- make package installable; noarch now

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 9465ae1
- BR: unlock setup.rb version (allow newer setup.rb)

* Sat Sep 11 2010 aredridel <aredridel@pld-linux.org> 8600235
- adapterized

* Mon Aug 30 2010 aredridel <aredridel@pld-linux.org> 1f91779
- R: ruby-macaddr

* Mon Aug 30 2010 aredridel <aredridel@pld-linux.org> 065f35a
- added

